Bug 571774 - RFE to provide periodic network traffic statistics and warnings by connection
Summary: RFE to provide periodic network traffic statistics and warnings by connection
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: rawhide
Hardware: All
OS: All
low
low
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 13:57 UTC by Peter H. Jones
Modified: 2016-10-11 21:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 08:06:01 UTC
Type: ---


Attachments (Terms of Use)

Description Peter H. Jones 2010-03-09 13:57:45 UTC
Description of problem:

When connecting to certain network providers, it would be useful to be able to have a tool that would track network usage and warn the user if traffic is approaching the provider-set quota. Currently, Applications/System_Tools/Monitor/Resources provides connection information for the current session, but I know of no way to automatically accumulate statistics over a month's time, with automatic reset on a certain day of each month.

Actions when approaching the quota could range from nothing, warning, gradual throttling, blocking, hibernating, shutting down. Throttling is supported in the wget command, but is not quota-dependent.

The placement in Network Manager would make it possible to track traffic while on the road (e.g. in a free university or Internet cafe) separately from while at home, connected to a provider with a monthly quota.

Control of statistics gathering could be added to the new Network Manager CLI
to enable scripted control.

Ability to automatically check the statistics page of a connected router would be nice if multiple machines are connected to the same router. It would be necessary for the machine to recognize which network it is on, and hence whether it is authorized to try to obtain the statistics.
 
Version-Release number of selected component (if applicable):
I don't see this feature in Fedora 13 Alpha; Fedora 14 could be a target.

Comment 1 Peter H. Jones 2011-08-22 21:47:25 UTC
I note that System Monitor 3.0.0 shows network session totals, which I can use to estimate usage instantaneously, in conjunction with my provider's tools that show usage several times a day. I can post these manually to a spreadsheet to keep track of how much I use the Internet when not connected to my main provider. It would be nice if the posting were automated, for the data can be lost if I have a system crash before being able to see the statistics in the System Monitor.

Comment 2 Bruce Martin 2011-08-23 04:01:57 UTC
(to Peter Jones)
Hi Peter:

I just saw your comment here, and, knowing a bit your habits and mobility, it occurred to me that the usage it appears you would like to track and integrate might well initially be stored on a small USB stick until you can either back it up on your systems at home or integrate it with something online.

That way, if the system crashes, you will have a copy of the latest bit of usage data for long enough to recover and/or back it up independently elsewhere as needed.

For all:

I have no real way of knowing if this would help others' needs, however, given the large number of users, I would guess the odds are strong that it will help some, even if only a minority.

Best regards,
Bruce Martin

Comment 3 Ankur Sinha (FranciscoD) 2012-06-26 07:21:00 UTC
I'd like network manager to show session usage statistics etc too. I'm using mobile broadband and it's really helpful to know how much I've used and how much remains etc :)

Comment 4 Fedora Admin XMLRPC Client 2015-08-18 14:56:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Lubomir Rintel 2016-10-11 08:06:01 UTC
Closing this, it's not likely we're ever going to do this.

We now provide an API for device traffic accounting [1], but persisting the counters and associating them with particular connection or network falls outside the scope of NetworkManager.

[1] https://developer.gnome.org/NetworkManager/1.4/gdbus-org.freedesktop.NetworkManager.Device.Statistics.html

Comment 6 Bruce Martin 2016-10-11 09:11:26 UTC
This information is better tracked on a hardware independent device between the ISP and the user.

For Land bound connections, this can often be done by the firmware of a router.

For mobile connections, there are several possibilites:

1) It is possible that if the user is tethering from a smartphone or other device, that may be a possible way to account for consumption. My android device will do this for one.

2) If the user is tethered to a mobile type router such as Mofinetwork, the firmware in that may well be able to do the same, as much of those devices is similar to a router with an RJ-45 for the WAN connection. Note the newest versions of Mofinetwork's devices no longer require a USB stick to accommodate the SIM. They will do so directly. The older models required a USB stick with as registered sim, but would handle the windows-specific firmware that those sticks would automatically download into the device to which they ware connected. some years back, I bought one of these as my laptop did not use Windows, It was capable of taking the burden ofthe backloaded code and its LAN side was as a 300 Mb. router.

(Note: Mofinetwork is/was located in Brampton, ON, Canada.)

This situation is progressing fairly rapidly, so in behooves one to keep an eye on the changes.


Note You need to log in before you can comment on or make changes to this bug.